Subject: [netconf] FW: New Version Notification for draft-zhou-netconf-multi-stream-originators-05.txt

From: Tianran Zhou <[email-masked]>
Date: Tue, 25 Jun 2019 07:59:05 +0000

Hi WG,

I just posted the update on the multi-stream-originators document.
Please review and comment.
Any suggestion is appreciated.

Many people show interest about this draft. And there are several comments from the 104 meeting.
1. It's still to be discussed if the IoT use case is suitable. In my opinion, this use case only meant to show that the sub/pub can use the mechanism proposed in this draft. The agent discovery and management is out of the scope. I am OK to remove this use case and focus on the multi-line cards one.
2. I checked and think both dynamic and configured subscription can be covered by the solution proposed.
3. I add a section on transport considerations to mention the congestion control requirement for transport. However, the solution proposed in document is transport independent.

In addition, I also correct the YANG model, add the IANA and security considerations.

Thanks,
Tianran

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, June 25, 2019 3:43 PM
To: Andy Bierman <[email-masked]>; Eric Voit <[email-masked]>; Zhengguangying (Walker) <[email-masked]>; Alexander Clemm <[email-masked]>; Tianran Zhou <[email-masked]>
Subject: New Version Notification for draft-zhou-netconf-multi-stream-originators-05.txt

A new version of I-D, draft-zhou-netconf-multi-stream-originators-05.txt
has been successfully submitted by Tianran Zhou and posted to the IETF repository.

Name:		draft-zhou-netconf-multi-stream-originators
Revision:	05
Title:		Subscription to Multiple Stream Originators
Document date:	2019-06-25
Group:		Individual Submission
Pages:		17
URL:            https://www.ietf.org/internet-drafts/draft-zhou-netconf-multi-stream-originators-05.txt
Status:         https://datatracker.ietf.org/doc/draft-zhou-netconf-multi-stream-originators/
Htmlized:       https://tools.ietf.org/html/draft-zhou-netconf-multi-stream-originators-05
Htmlized:       https://datatracker.ietf.org/doc/html/draft-zhou-netconf-multi-stream-originators
Diff:           https://www.ietf.org/rfcdiff?url2=draft-zhou-netconf-multi-stream-originators-05

Abstract:
   This document describes the distributed data export mechanism that
   allows multiple data streams to be managed using a single
   subscription.  Specifically, multiple data streams are pushed
   directly to the collector without passing through a broker for
   internal consolidation.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat